Share on facebook
Share on twitter
Share on linkedin
Share on pinterest

Door een reactie op mijn eerdere blog over de encryptie van Gravity Forms formulieren (insturingen / entries), kwam ik erachter dat GForms::encrypt en GForms::encrypt sinds versie 2.3 niet meer gebruikt zouden moeten worden. Tijd voor een update dus 🙂

Deze aangepaste versie maakt geen gebruik van functies van Gravity Forms (althans, niet voor het encrypten / decrypten an sich) waardoor je zelf een key moet aanmaken / bedenken. Die key zet je in de wp-config.php van je installatie:

Functions.php of ‘mu-plugins’

Je kunt de verdere code in je functions.php plaatsen of in een los .php-bestand die in de ‘mu-plugins’ map in ‘wp-content’ geplaatst wordt.

De functies voor het encrypten en decrypten zijn ook los te gebruiken. Je zou ze dus ook kunnen inzetten voor het versleutelen van data buiten Gravity Forms:

Dan is het natuurlijk ook belangrijk om die functies in te zetten bij de filters voor het opslaan & ophalen van de inzendingen:

Eerdere entries opgeslagen met GForms::encrypt?

Als je eerder de GForms::encrypt en GForms::encrypt gebruikt hebt, zou je de beide en-/decrypt functies voor de zekerheid kunnen samenvoegen. Maar gezien hoe lang die beide al ‘deprecated’ zijn gemeld (en van wat ik uit de documentatie haal worden ze sindsdien ook niet meer gebruikt voor versleuteling), zou je je ook af kunnen vragen of het bewaren van die entries ook echt noodzakelijk is 😉

Deel Tweet Deel Deel

WooCommerce

Geef een reactie

Het e-mailadres wordt niet gepubliceerd. Vereiste velden zijn gemarkeerd met *

*

Skip to content